Name:           ocaml-inifiles
Version:        1.2
Release:        %mkrel 8
Summary:        A small library to read and write .ini files
License:        LGPL
Group:          Development/OCaml
URL:            http://homepage.mac.com/letaris/
Source0:        http://homepage.mac.com/letaris/inifiles-%{version}.tar.gz
Patch0:         makefile-ocamldoc-flags-pcre.patch
Patch1:         ocaml-4.0-fix-labelled-function.patch
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex
BuildRequires:  ocaml-pcre-devel
Requires:       ocaml-pcre

%description
An ini file parser, in case you ever need to parse one of those
little buggers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n inifiles-%{version}
%patch0 -p 0
%patch1 -p 1

%build
make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/inifiles
make install

%files
%doc COPYING
%dir %{_libdir}/ocaml/inifiles
%{_libdir}/ocaml/inifiles/META
%{_libdir}/ocaml/inifiles/*.cma
%{_libdir}/ocaml/inifiles/*.cmi

%files devel
%doc doc/
%{_libdir}/ocaml/inifiles/*.a
%{_libdir}/ocaml/inifiles/*.cmxa
%{_libdir}/ocaml/inifiles/*.mli


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 744306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 683048
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-6.mga4
+ Revision: 508466
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 361410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 1.2-4.mga3
+ Revision: 308027
- add patch for ocaml-4.0 compatibility

  + blue_prawn <blue_prawn>
    - rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.2-2.mga3
+ Revision: 300155
- new rpm group for ocaml

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.2-1.mga2
+ Revision: 225933
- requires latex to build the doc
- ocaml-pcre dependency
- imported package ocaml-inifiles

